Package de.willuhn.jameica.hbci.gui.input

# Class PassportInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SelectInput
de.willuhn.jameica.hbci.gui.input.PassportInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class PassportInput extends de.willuhn.jameica.gui.input.SelectInput
Eine Auswahl-Box fuer das Sicherheitsmedium.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`PassportInput()`
ct.
`PassportInput(Konto konto)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`update(SynchronizeBackend backend)`
Aktualisiert die Liste der verfuegbaren Passports abhaengig vom ausgewaehlten Backend.

### Methods inherited from class de.willuhn.jameica.gui.input.SelectInput

`addListener, disable, enable, focus, format, getControl, getList, getText, getValue, isEnabled, setAttribute, setEditable, setEnabled, setList, setPleaseChoose, setPreselected, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PassportInput

public PassportInput() throws RemoteException
ct.

Throws:
  `RemoteException`

### PassportInput

public PassportInput(Konto konto) throws RemoteException
ct.

Parameters:
  `konto` - das Konto.
Throws:
  `RemoteException`

## Method Details

### update

public void update(SynchronizeBackend backend)
Aktualisiert die Liste der verfuegbaren Passports abhaengig vom ausgewaehlten Backend. Derzeit werden hier erstmal hart alle HBCI-Passports entfernt, wenn nicht das HBCI-Backend ausgewaehlt ist.

Parameters:
  `backend` - das Backend.